## ogmaudioparse ogmaudioparse |

## Description

## Synopsis

### Element Information

plugin | ogg
author | GStreamer maintainers <gstreamer-devel@lists.freedesktop.org>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-ogm-audio

name | src
direction | source
presence | sometimes
details | audio/ms-gsm
| audio/mpeg, mpegversion=(int)1, layer=(int)3
| audio/mpeg, mpegversion=(int)1, layer=(int)2
| audio/x-raw, format=(string){ S8, U8, S16LE, U16LE, S24LE, U24LE, S32LE, U32LE }, layout=(string)interleaved
| audio/x-vorbis
| audio/x-ac3
| audio/x-dts
| audio/mpeg, mpegversion=(int)4
| audio/x-alaw
| audio/x-mulaw
| audio/x-wms, bitrate=(int)[ 0, 2147483647 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-adpcm, layout=(string)microsoft, block_align=(int)[ 1, 2147483647 ]
| audio/x-adpcm, layout=(string)dvi, block_align=(int)[ 1, 2147483647 ]
| audio/x-truespeech
| audio/x-wma, wmaversion=(int)1, bitrate=(int)[ 0, 2147483647 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-wma, wmaversion=(int)2, bitrate=(int)[ 0, 2147483647 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-wma, wmaversion=(int)3, bitrate=(int)[ 0, 2147483647 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-vnd.sony.atrac3
| audio/x-raw, format=(string){ F32LE, F64LE }, layout=(string)interleaved
| audio/x-voxware, voxwaretype=(int)117
| audio/x-adpcm, layout=(string)dk4
| audio/x-adpcm, layout=(string)dk3
| audio/x-adpcm, layout=(string)dvi
| audio/AMR
| audio/AMR-WB
| audio/x-siren
| application/x-ogg-avi

## Functions

## Types and Values